﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.ContentListDto>
@{
    ViewBag.Title = "Content List";
}
<style>
    .custom-control-label::before {
        position: absolute;
        top: .25rem !important;
        left: -1.5rem;
        display: block;
        width: 1rem;
        height: 1rem;
        pointer-events: none;
        content: "";
        background-color: #fff;
        border: #adb5bd solid 1px;
    }
</style>
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">내용관리</h5>
                    </div>
                </div>
                <div class="card-body">
                    <div class="align-middle">
                        <span class="badge badge-primary badge-pill">전체 @ViewBag.Count 건</span>
                        <div class="float-right">
                            <button type="button" style="margin-top:-10px;" class="btn btn-rounded btn-success" onclick="location.href='@Url.Action("Create", "ContentList")'"><i class="icon-plus mr-2"></i> Insert</button>
                        </div>
                    </div>
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:100px;">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" class="custom-control-input" id="customSwitch" Onchange="SwitchContent()">
                                            <label class="custom-control-label" for="customSwitch">On/Off</label>

                                            <input type="hidden" id="hiddenIdContentUse" value="@ViewBag.IdContentUse" />
                                            <input type="hidden" id="hiddenSwitch" value="@ViewBag.SwitchContent" />
                                        </div>
                                    </th>
                                    <th style="width:300px;" class="align-middle">ID</th>
                                    <th class="align-middle">제목</th>
                                    <th style="width:160px;" class="align-middle">관리</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr class="text-center">
                                            <td scope="col" class="align-middle">@Html.CheckBox("templateId", new { value = item.id, @class = "checkBox" })</td>
                                            <td scope="col" class="align-middle"> @Html.DisplayFor(modelItem => item.code)</td>
                                            <td scope="col" class="align-middle text-left"> @Html.DisplayFor(modelItem => item.name)</td>
                                            <td scope="col" class="align-middle">
                                                <div class="justify-content-center row">
                                                    @using (Html.BeginForm("Edit", "ContentList", new { id = item.id }, FormMethod.Get))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-primary" style="float: none; margin: 5px;" title="삭제">
                                                            <span class="icon-note"></span>
                                                        </button>
                                                    }

                                                    @using (Html.BeginForm("Delete", "ContentList", new { id = item.id }, FormMethod.Post))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-danger" style=" margin: 5px;" title="삭제">
                                                            <span class="icon-trash"></span>
                                                        </button>
                                                    }
                                                </div>
                                            </td>
                                        </tr>
                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="3">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    <div class="justify-content-center row">
                        @Html.PagedListPager(Model, Page => Url.Action("Index", "ContentList", new { Page }))
                    </div>
                </div>
            </div>
        </div>
        <!-- End XP Col -->
    </div>
</div>

<script>
    $(function () {
        $("#liBoard").addClass("active");
        $("#meContent").addClass("active");
      
        if ($("#hiddenSwitch").val() == "Off") {
            $("#customSwitch").prop("checked", false);
        } else {
            $("#customSwitch").prop("checked", true);
        }
        
        $('input:checkbox.checkBox').each(function () {
            if ($(this).val() == $("#hiddenIdContentUse").val()) {
                $(this).prop("checked", true);
            }
        });

        $('.checkBox').change(function () {
            var countChecked = $('.checkBox').filter(':checked').length;
            if (countChecked > 1) {
                alert("Active data already exists. Please Switch off data");
                $(this).prop("checked", false);
            } else if (countChecked == 1) {
                SwitchContentOn($(this).val());
            } else if (countChecked == 0) {
                SwitchContentOff(false);
            }
        });

    });
    function SwitchContent() {
        var val = $("#customSwitch").prop("checked");
        if (val == true && $("#hiddenIdContentUse").val() == 0) {
            alert("Please Select Active data.");
            $("#customSwitch").prop("checked", false);
        } else if (val == false) {
            SwitchContentOff(false);
        }
    }
    function SwitchContentOn(id) {
        $.ajax({
            type: "POST",
            url: "/ContentList/UpdateContentOn",
            data: "{'id':" + id + "}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                alert(msg);
                location.reload();
            }
        });
    }
    function SwitchContentOff(val) {
        $.ajax({
            type: "POST",
            url: "/ContentList/UpdateContentOff",
            data: "{'val':" + val + "}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                alert(msg);
                location.reload();
            }
        });
    }
    
</script>


